Update a blueprint
curl --request PUT \
--url https://controller.platform.simplecloud.app/v0/blueprints \
--header 'Content-Type: application/json' \
--header 'X-Network-ID: <x-network-id>' \
--header 'X-Network-Secret: <x-network-secret>' \
--data '
{
"configurator": "example-configurator",
"minecraft_version": "1.20.1",
"name": "example-blueprint",
"runtime_config": {
"type": "java",
"with": {}
},
"server_software": "paper",
"server_url": "https://example.com/server",
"software_version": "1.20.1",
"workflow_steps": [
"<string>"
]
}
'import requests
url = "https://controller.platform.simplecloud.app/v0/blueprints"
payload = {
"configurator": "example-configurator",
"minecraft_version": "1.20.1",
"name": "example-blueprint",
"runtime_config": {
"type": "java",
"with": {}
},
"server_software": "paper",
"server_url": "https://example.com/server",
"software_version": "1.20.1",
"workflow_steps": ["<string>"]
}
headers = {
"X-Network-ID": "<x-network-id>",
"X-Network-Secret": "<x-network-secret>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
'X-Network-ID': '<x-network-id>',
'X-Network-Secret': '<x-network-secret>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
configurator: 'example-configurator',
minecraft_version: '1.20.1',
name: 'example-blueprint',
runtime_config: {type: 'java', with: {}},
server_software: 'paper',
server_url: 'https://example.com/server',
software_version: '1.20.1',
workflow_steps: ['<string>']
})
};
fetch('https://controller.platform.simplecloud.app/v0/blueprints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blueprint_id": "123e4567-e89b-12d3-a456-426614174000",
"configurator": "example-configurator",
"created_at": "2023-01-01T12:00:00Z",
"minecraft_version": "1.20.1",
"name": "example-blueprint",
"runtime_config": {
"type": "java",
"with": {}
},
"server_software": "paper",
"server_url": "https://example.com/server",
"software_version": "1.20.1",
"updated_at": "2023-01-01T12:00:00Z",
"workflow_steps": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}blueprints
Update a blueprint
Update an existing blueprint
PUT
/
v0
/
blueprints
Update a blueprint
Query Parameters
Blueprint ID
Body
application/json
Blueprint details
Request to update an existing blueprint
Example:
"example-configurator"
Example:
"1.20.1"
Example:
"example-blueprint"
Configuration for the runtime environment
Show child attributes
Show child attributes
Example:
"paper"
Example:
"https://example.com/server"
Example:
"1.20.1"
Response
OK
Response for updating a blueprint
Example:
"123e4567-e89b-12d3-a456-426614174000"
Example:
"example-configurator"
Example:
"2023-01-01T12:00:00Z"
Example:
"1.20.1"
Example:
"example-blueprint"
Configuration for the runtime environment
Show child attributes
Show child attributes
Example:
"paper"
Example:
"https://example.com/server"
Example:
"1.20.1"
Example:
"2023-01-01T12:00:00Z"
Was this page helpful?
⌘I